<br><br>
<nav class="navbar navbar-expand-lg navbar-light" style="background-color: #e3f2fd; margin-top: 30px;">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Formation</a>
    <button
      class="navbar-toggler"
      type="button"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <i class="fas fa-bars"></i>
    </button>
    <div
      class="collapse navbar-collapse"
      id="navbarNav"

    >
      <ul class="navbar-nav">
       
        <li class="nav-item">
          <a class="nav-link" aria-current="page" [routerLink]="['/formations']">Formations</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" aria-current="page" [routerLink]="['/formateurs']">Formateurs</a>
        </li>
    
        <li class="nav-item">
          <a class="nav-link" aria-current="page" [routerLink]="['/participants']">Participants</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" aria-current="page" [routerLink]="['/sessions']">Sessions</a>
        </li>
        <li class="nav-item">
          <a class="nav-link "  
          [matMenuTriggerFor]="aboveMenu">Configurations
            <mat-menu #aboveMenu="matMenu" >
              <button mat-menu-item [routerLink]="['/domaines']">Domaines</button>
              <button mat-menu-item [routerLink]="['/organismes']">Organismes</button>
              <button mat-menu-item [routerLink]="['/pays']">Pays</button>
              <button mat-menu-item [routerLink]="['/profils']">Profils</button>
            </mat-menu></a
          >
        </li>
      </ul>
    </div>

    <form class="d-flex input-group w-auto">
      <input
        type="search"
        class="form-control rounded"
        placeholder="Search"
        aria-label="Search"
      />
      <span class="input-group-text border-0" id="search-addon">
        <i class="fas fa-search"></i>
      </span>
    </form>

        
  </div>
</nav>
<!--/.Navbar-->
<div class="mat-elevation-z8 style">
    <div class="d-flex style2">        
        <button class="btn btn-success" type="submit"  data-bs-toggle="modal" data-bs-target="#exampleModal">Ajouter Participant</button>
    </div>
    <mat-form-field appearance="standard">
        <mat-label>Search</mat-label>
        <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia" #input>
      </mat-form-field>
 
    <table mat-table [dataSource]="dataSource" matSort>
  
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
        <td mat-cell *matCellDef="let row"> {{row.id}} </td>
      </ng-container>
  
      <ng-container matColumnDef="nom">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Nom</th>
        <td mat-cell *matCellDef="let row"> {{row.nom}} </td>
      </ng-container>
      <ng-container matColumnDef="prenom">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Prénom </th>
        <td mat-cell *matCellDef="let row"> {{row.prenom}} </td>
      </ng-container>
      <ng-container matColumnDef="email">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> email </th>
        <td mat-cell *matCellDef="let row"> {{row.email}} </td>
      </ng-container>
      <ng-container matColumnDef="tel">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Téléphone </th>
        <td mat-cell *matCellDef="let row"> {{row.tel}} </td>
      </ng-container>
      <ng-container matColumnDef="type">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Type </th>
        <td mat-cell *matCellDef="let row"> {{row.type}} </td>
      </ng-container>
    
      <ng-container matColumnDef="pays">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>pays</th>
        
        <td mat-cell *matCellDef="let row"> {{row.pays?.libelle}} </td>
      </ng-container>
      <ng-container matColumnDef="profil">

        <th mat-header-cell *matHeaderCellDef mat-sort-header>Profil</th>
        <td mat-cell *matCellDef="let row"> {{row.profil?.libelle}} </td>
      </ng-container>
      <ng-container matColumnDef="organismes">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Organisme</th>
        <td mat-cell *matCellDef="let row"> {{row.organismes?.libelle}} </td>
      </ng-container>
     
     
  
      <ng-container matColumnDef="modifier">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Modifier </th>
        <td mat-cell *matCellDef="let row" ><button color="black"  mat-fab aria-label="Example icon-button with a heart icon" class="icon-display "
            (click)="Editparticipant(row.id)" data-bs-toggle="modal" data-bs-target="#exampleModal">
            <mat-icon>edit </mat-icon>
          </button>  </td>
      </ng-container>
  
      <!-- Fruit Column -->
      <ng-container matColumnDef="supprimer">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Suprimer </th>
        <td mat-cell *matCellDef="let row">
            <button mat-fab aria-label="Example icon-button with a heart icon" color="black" class="icon-display "
            (click)="deleteThisparticipant(row.id)">
            <mat-icon>delete</mat-icon>
          </button>
        </td>
      </ng-container>
  
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
      </tr>
    </table>
  
    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
  </div>

  <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Modifier Formation</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
            <form class="row g-3" [formGroup]="form">
                <div class="col-md-6">
                    <label for="inputName" class="form-label">Nom</label>
                    <input type="text" formControlName="nom" class="form-control" id="nom">
                  </div>
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">Prénom</label>
                    <input type="text" formControlName="prenom" class="form-control" id="prenom">
                  </div>
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">Email</label>
                    <input type="email" formControlName="email" class="form-control" id="email">
                  </div>
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">Téléphone</label>
                    <input type="number" formControlName="tel" class="form-control" id="tel">
                  </div>
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">Type</label>
                    <input type="text" formControlName="type" class="form-control" id="type">
                  </div>
                
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">Pays</label>
                    <select class="form-control" formControlName="pays">
                      <option *ngFor="let pays of pays" [value]="pays.id">{{ pays.libelle }}</option>
                    </select>
                  </div>
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">Profil</label>
                    <select class="form-control" formControlName="profil">
                      <option *ngFor="let profils of profil" [value]="profils.id">{{ profils.libelle }}</option>
                    </select>
                  </div>
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">Organisme</label>
                    <select class="form-control" formControlName="organismes">
                      <option *ngFor="let organisme of organismes" [value]="organisme.id">{{ organisme.libelle }}</option>
                    </select>
                  </div>
                  
    
              </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-warning" #closebutton data-bs-dismiss="modal">Close</button>
          <button *ngIf="btnSaveShow" type="button" class="btn btn-primary" (click)="OnCreateparticipant()" >Register</button>
          <button *ngIf="btnUpdateShow" type="button" class="btn btn-primary" (click)="updateparticipant()" >Update</button>
        </div>
      </div>
    </div>
  </div>